Bug 221846 - jbossas service init.d script fails to stop minimal service, kills the process instead
jbossas service init.d script fails to stop minimal service, kills the proces...
Status: CLOSED ERRATA
Product: Red Hat Web Application Stack
Classification: Retired
Component: jbossas (Show other bugs)
v1.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-08 10:09 EST by Len DiMaggio
Modified: 2007-04-18 13:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2007-0084
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-19 13:30:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2007-01-08 10:09:40 EST
Description of problem:

Shutting down the jbossas service, if the service is running the "minimal"
service times out. The /etc/init.d/jbossas script eventually performs a kill -9
on the server process. This is apparently expected as since the minimal config
does not deploy JMX, which is needed for proper shutdown over the network.

This is how it appears to the user:

==============================
[root@dl385-02 opt]# service jbossas stop
Stopping jbossas:                                          [  OK  ]
waiting for processes to stop
waiting for processes to stop
waiting for processes to stop
waiting for processes to stop
waiting for processes to stop
waiting for processes to stop
==============================

Version-Release number of selected component (if applicable):
This is a problem for V1.0 and V1.1

How reproducible:
100%

Steps to Reproduce:
1. Configure the jbossas service to run the minimal configuration - start and
stop the service.

Actual results:
See above

Expected results:
Service should stop init.d script having to resort to SIGKILL

Additional info:

Permaine and Deepak found this issue last Friday. Deepak is going to change the
init.d/jbossas script to issue a SIGTERM signal for the minimal server. I'm
logging this bz to make sure that we test for the change.
Comment 1 Benjamin Kahn 2007-01-09 14:13:35 EST
Fixed for the next respin.
Comment 2 Len DiMaggio 2007-01-11 13:57:53 EST
In StacksV1-re20070110.0 (jbossas-4.0.5-1.el4s1.4) - the user sees this:

[root@cheddar jbossas]# service jbossas stop
Stopping jbossas:                                          [  OK  ]
waiting for processes to stop
waiting for processes to stop
waiting for processes to stop
waiting for processes to stop
waiting for processes to stop
waiting for processes to stop
Process refused to stop. Trying alternate method...
waiting for processes to stop

This seems acceptable - but, I'll pass it by the Support team just in case.
Comment 3 Len DiMaggio 2007-01-11 13:58:18 EST
In StacksV1-re20070110.0 (jbossas-4.0.5-1.el4s1.4) - the user sees this:

[root@cheddar jbossas]# service jbossas stop
Stopping jbossas:                                          [  OK  ]
waiting for processes to stop
waiting for processes to stop
waiting for processes to stop
waiting for processes to stop
waiting for processes to stop
waiting for processes to stop
Process refused to stop. Trying alternate method...
waiting for processes to stop

This wording seems acceptable - but, I'll pass it by the Support team just in case.
Comment 5 Red Hat Bugzilla 2007-02-19 13:30:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0084.html

Note You need to log in before you can comment on or make changes to this bug.